Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.filter
Class PermalinkFilter.PermalinkRequest

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.blojsom.filter.PermalinkFilter.PermalinkRequest

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

Enclosing class:
  PermalinkFilter

public class PermalinkFilter.PermalinkRequest
extends javax.servlet.http.HttpServletRequestWrapper

Permalink request

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`PermalinkFilter.PermalinkRequest(javax.servlet.http.HttpServletRequest httpServletRequest, java.util.Map params, java.lang.String uri, java.lang.String url, java.lang.String pathInfo)` Construct a new permalink request

Method Summary
`java.lang.String` | `getParameter(java.lang.String name)` Retrieve a named parameter
`java.util.Map` | `getParameterMap()` Retrieve the map of parameters
`java.util.Enumeration` | `getParameterNames()` Retrieve the parameter names
`java.lang.String[]` | `getParameterValues(java.lang.String name)` Retrieve a parameter value as a `String[]`
`java.lang.String` | `getPathInfo()` Return the path information
`java.lang.String` | `getRequestURI()` Return the request URI
`java.lang.StringBuffer` | `getRequestURL()` Return the request URL
`void` | `setPathInfo(java.lang.String pathInfo)` Set the path information for the request

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Constructor Detail

### PermalinkFilter.PermalinkRequest

    public PermalinkFilter.PermalinkRequest(javax.servlet.http.HttpServletRequest httpServletRequest,
                                            java.util.Map params,
                                            java.lang.String uri,
                                            java.lang.String url,
                                            java.lang.String pathInfo)

  Construct a new permalink request

Parameters:
  `httpServletRequest` - `HttpServletRequest`
  `params` - Parameters pulled from the URL
  `uri` - URI
  `url` - URL
  `pathInfo` - Path information

Method Detail

### getRequestURI

    public java.lang.String getRequestURI()

  Return the request URI

  Returns:
    Request URI

### getRequestURL

    public java.lang.StringBuffer getRequestURL()

  Return the request URL

  Returns:
    Request URL

### getPathInfo

    public java.lang.String getPathInfo()

  Return the path information

  Returns:
    Path information

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Retrieve a named parameter

  Parameters:
    `name` - Parameter to retrieve
  Returns:
    Parameter value or `null` if the parameter is not found

### getParameterMap

    public java.util.Map getParameterMap()

  Retrieve the map of parameters

  Returns:
    Parameter map

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Retrieve the parameter names

  Returns:
    `Enumeration` of parameter names

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  Retrieve a parameter value as a `String[]`

  Parameters:
    `name` - Parameter name
  Returns:
    Parameter value as `String[]` or `null` if the parameter is not found

### setPathInfo

    public void setPathInfo(java.lang.String pathInfo)

  Set the path information for the request

  Parameters:
    `pathInfo` - New path information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD